You are here

Hermes/Nestor

Software Available on Hermes/Nestor

Title Version Usage Notes
64-bit Scientific Linux 5.3 2.6.18...el5 #1 SMP
ABySS 1.3.2

module load abyss/1.3.2

ARB 5.1

module load arb/5.1

bash (default) 3.2.25 or later
BEAST 1.8.2

To set up your environment to run BEAST 1.8.2 , use

module load beast/1.8.2

BEAST 2.1.3

Set up your environment to use version 2.1.3 of BEAST2 with

module load beast/2.1.3

BioPerl 1.6.1
BLAS In MKL
BLAST ncbi-2.2.26+

use module load

BLAST ncbi-2.2.25+
BLAT 3.4

module load blat/3.4

Boost 1.48.0
Boost 1.33.1-10
Bowtie 0.12.7

Use module load

Bowtie2 2.2.2

Use the module environment to load it:

module load bowtie/2.2.2

Bowtie2 2.0.0

module load application/bowtie2/2.1.0

BWA 0.6.1

module load bwa

BWA 0.7.7

To use this version of bwa, please do

module load bwa/0.7.7

BWA 0.7.5a

To this version of bwa, please use modules:

module load bwa/0.7.5a

C - GNU GCC, Intel, Portland Group (PGI) compilers Intel 11.1 Update 7

(icc- see module avail)

C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.4.4

(gcc - module load gcc/4.4.4)

C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.1.2

(gcc)

C - GNU GCC, Intel, Portland Group (PGI) compilers Intel 13.0.1
C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.4.7
C - GNU GCC, Intel, Portland Group (PGI) compilers Intel 12.0.2
C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.7.3

GNU 4.7.3 is installed on Hermes/Nestor. To use it just do:

module load gcc/4.7.3

C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.4.4

(g++ - module load gcc/4.4.4)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.1.2

(g++)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers Intel 13.0.1
C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.4.7

(g++44)

Cd-hit v4.6.1-2012-08-27

CD-HIT 4.6.1 released on 2012-08-27 with enabled multi-threading is installed on hermes/nestor. To use it, just do

module load cd-hit

Climate Data Operators (CDO) 1.6.3

Install using Intel Compilers, Netcdf 4.3.0 and hdf-5 1.8.11. To use it do:

module load cdo

cdo ...

Clustal Omega 1.2.0

To use Clustal Omega, please load the module first:

module load clustal-omega/1.2.0

CMake 2.8.3
Compilers - C, C++ and Fortran GCC 5.1.0

Initialize your environment to use the GCC 5.1.0 compilers with

module load gcc/5.1.0

Compilers - C, C++ and Fortran Intel 11.1

The Intel 11.1 compilers are on the default command PATH, but, you can also explicitly initialize your environment to use them with

module load compiler/intel/11.1.059

A slightly different version of the Intel 11.1 compilers is available with

module load compiler/intel/11.1.073

Compilers - C, C++ and Fortran Intel 12.0.2

Initialize your environment to use the Intel 12.0.2 compilers with

module load intel/12.0.2.137

Compilers - C, C++ and Fortran GCC 4.1.2

The GCC 4.1.2 compilers are on the default command PATH, but, you can also explicitly initialize your environment to use them with

module load gcc/4.1.2

Compilers - C, C++ and Fortran Intel 13.0.1

Initialize your environment to use the Intel 13.0.1 compilers with

module load intel/13.0.1-1.117

Compilers - C, C++ and Fortran Intel 14.0.2

Initialize your environment to use the Intel 14.0.2 compilers with

module load intel/14.0.2

Compilers - C, C++ and Fortran Intel 14.0.4

Initialize your environment to use the Intel 14.0.4 compilers with

module load intel/14.0.4

Compilers - C, C++ and Fortran Intel 15.0.3

Initialize your environment to use the Intel 15.0.3 compilers with

module load intel/15.0.3

Compilers - C, C++ and Fortran GCC 4.4.7

Initialize your environment to use the GCC 4.7.3 compilers with

module load gcc/4.7.3

Compilers - C, C++ and Fortran GCC 4.9.2

Initialize your environment to use the GCC 4.9.2 compilers with

module load gcc/4.9.2

Compilers - C, C++ and Fortran GCC 4.4.7

Initialize your environment to use the GCC 4.4.7 compilers with

module load gcc/4.4.7

CP2K 2.4.0

Intel 12 compile, MKL, Intel FFT and OpenMPI 1.6.3 were used to compile CP2K on Nestor/Hermes. To use it, you will need to load the module first and launch it as follows:

module load cp2k
mpirun cp2k INPUT_FILE

csh Link to tcsh
Cufflinks 2.2.1

Set up your environment to use Cufflinks 2.2.1 with:

module load cufflinks/2.2.1

Cufflinks 2.0.2

Initialize the environment with module load cufflinks/2.0.2.

Cufflinks 1.2.1

Initialize the environment with module load cufflinks.

DosageConverter 1.0.3

module load dosageconverter/1.0.3

Emacs 23.1.1
FastQC 0.10.1

Initialize your environment to use FastQC with

module load fastqc

FFTW 2.1.5

module load intel/12 for the Intel 12 versions

FFTW 3.2.2

/global/software/fftw

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.7.3

GNU compiler suite version 4.7.3 is installed. To use it please do

module load gcc/4.7.3

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.4.4

module load gcc/4.4.4 (gfortran)

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.1.2 (gfortran)
Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 3.4.6

(g77)

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.4.7

gfortran44

Gadget 2.0.6
GAMESS 1May2013

Initialize your environment with:

module load gamess/May1.13.R1

GATK 3.1.1

The best way to use it is do:

module load gatk/3.1.1

gatk.sh [Your -Xmx and -Xms java and GATK Arguments]

GATK 3.2.2

After initializing your environment with

module load gatk/3.2.2

run GATK through the script gatk.sh, optionally specifying Java memory-related arguments (-Xmx and -Xms) followed by GATK arguments. For example:

gatk.sh -Xmx1g -Xms1g --help

GATK 2.2.4
GATK 2.7.2

module load gatk/2.7.2

gatk.sh [Java_Memory_Options] [GATK_Arguments]

GDAL 1.9.0

module load gdal

gdb 7.0.1
GNU libgomp 4.4.0-6
Gnuplot 4.6.3

Gnuplot 4.6.3 is installed. To use it on the interactive nodes, please use modules:

module load gnuplot/4.6.3

For batch jobs, please use the following instead:

module load gnuplot/4.6.3-b

Gnuplot 4.0
Gnuplot 4.4.4

Use module load

GROMACS 5.0.4

Single and double precisions MPI versions are install using Intel FFTW/MKL and open MPI. To use it, do:

module load gromacs/5.0.4

GROMACS 4.0.7

Initialize the environment with module load gromacs/4.0.7-single or module load gromacs/4.0.7-double . (There is also another version that can be loaded with module load gromacs/4.0.7-20100609 . Please write to support@westgrid.ca if you need to know how this differs from the other versions.)

GROMACS 4.0.5

Initialize the environment with module load gromacs/4.0.5-single or module load gromacs/4.0.5-double .

GROMACS 4.5.5

Initialize the environment with module load gromacs/4.5.5 .

GROMACS 4.6.5

Serial (mdrun) and MPI (mdrun_mpi) versions are install using Intel FFTW/MKL and open MPI. To use it, do:

module load gromacs/4.6.5

 

GSL 1.14

/global/software/gsl-1.14

HDF 5 1.8.4

/global /software /hdf5-1.8.4-patch1/

HMMER 3.0

module load hmmer

idb 11.1 Update 7
ImageMagick 6.2.8
IMPUTE (genotype imputation) 2.3.2

See Running IMPUTE2 on Hermes/Nestor.

Intel MPI Intel MPI

Use module load

JAGS 3.2.0

module load jags

Java Sun Java SE JRE Oracle HotSpot 1.6.0_20
jEdit 4.5.1
ksh Y
LAMMPS 20130513

module load lammps/20130513

LAPACK In MKL
libjpeg 6b-37
libLAS 1.7.0

/global/software/libLAS-1.7.0

libpng 1.2.10-7.1
libtiff 3.8.2-7
MATLAB R2012a module load matlab/R2012a

(UVic only)
MATLAB R2010b module load matlab

(UVic only)
MATLAB Compiler Runtime (MCR) 7.17

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2012a of MATLAB.

Installed to /global/software/matlab/mcr/v717.

See full instructions for creating standalone applications.

 

MATLAB Compiler Runtime (MCR) 7.14

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2010b of MATLAB.

Installed to /global/software/matlab/mcr/v714.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.15

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2011a of MATLAB.

Installed to /global/software/matlab/mcr/v715.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.13

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2010a of MATLAB.

Installed to /global/software/matlab/mcr/v713.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 8.1

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2013a of MATLAB.

Installed in /global/software/matlab/mcr/v81.

See full instructions for creating standalone applications.

Matplotlib 1.1.0 rc1
MEEP 1.2

module load meep

mencoder 20100622

/global/software/mencoder-20100622/

Mercurial 1.8.3
Mesa 6.5.1-7.7
Migrate (Migrate-n) - Population genetics program to estimate migration rates and population sizes 3.6

Initialize your environment to use Migrate with

module load migrate/3.6

See the generic Running Instructions section of the WestGrid Migrate page for more information.

Migrate (Migrate-n) - Population genetics program to estimate migration rates and population sizes 3.6.4

Initialize your environment to use Migrate with

module load migrate/3.6.4

or for a version compiled slightly differently

module load migrate/3.6.4-gcc

See the generic Running Instructions section of the WestGrid Migrate page for more information.

MKL In Intel 12 environment
MKL 10.2.6

(default with Intel 11.1 compiler)

Molden 5.0.6

module load molden

Mothur 1.22.2

Use module load mothur/1.22.2 before running mothur.

Mothur 1.23.0

Use module load mothur/1.23.0 before running mothur.

Mothur 1.23.0-gcc

This was compiled with GNU compilers instead of Intel. Use module load mothur/1.23.0-gcc before running mothur.

Mothur 1.29.1

Initialize the environment with module load mothur before running mothur.

Mothur 1.33.3

Compiled using Intel Compilers and openMPI. To use it, please do

module load mothur/1.33.3

MrBayes 3.2.2 (parallel)

Initialize your environment with

module load mrbayes/3.2.2

before running

mpiexec mb-mpi MrBayes_options...

MUMmer 3.23

module load MUMmer

NAMD 2.9

module load namd

nano 1.3.12

Also pico 5.04

NCAR Graphics and NCL 6.2.0

Please load the module before running NCL commands

module load ncl_ncarg

NCO 4.4.1

Two versions were installed to accommodate different HDF5 libraries. To load the one that uses HDF5-1.8.6 (with netcdf-4.1.3), please do:

module load nco/4.4.1-hdf5-1.8.6

To load the one that uses HDF5-1.8.11 (with netcdf 4.3.0), please do this instead:

module load nco/4.4.1

NCO 4.0.7

This NCO is installed again netcdf-4.1.2/hdf5-1.8.4. To use it, just do:

module load nco/4.0.7

NEdit 5.5
Nemo 2.2.0 - serial version

module load nemo

NetCDF 4.1.1
Netpbm 10.35-6.1
NWChem 6.1.1

module load nwchem/6.1.1

Octave 3.4.3

module load octave/3.4.3

Open MPI Open MPI

Use module load

OpenCV 2.4.8

OpenCV is installed under /global/software/opencv-2.4.8. A module is provided for it.

module load opencv/2.4.8

To use the OpenCV-Python interface, use

module load python/2.7.2

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.2.2

Installed using Intel Compilers 13.0.1-1.117 and openmpi 1.6.4. To use it, please load the module and do not source anything else:
module load openfoam/2.2.2

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.3.0

Installed using Intel Compilers 13.0.1-1.117 and openmpi 1.6.4. To use it, please load the module and do not source anything else:

module load openfoam/2.3.0

OpenSees 2.3.2.2

The parallel version of OpenSees (OpenSeesMP) was compiled on nestor using Intel and OpenMPI. To use it, please the module first:

module load opensees/2.3.2.2

mpirun -np 2 openseesmp bel_exple.tcl

Perl 5.14.2

Use module load

Perl 5.8.8
PETSc 3.2-p7
PETSc 3.4.2

Use module load

PLINK 1.07
Python 2.4.3
Python 2.7.2

with NumPy 1.6.2, SciPy 0.10.1, matplotlib 1.1.1 (module load python)

Quantum ESPRESSO 5.0.3

Quantum ESPRESSO was installed using Intel Compilers and MKL libraries. To use it, please do

module load espresso/5.0.3

R 3.1.2

module load R/3.1.2

R 2.11.1

Use module load

R 2.14.2

Use module load

R 3.0.2

Set up the environment to use R with:

module load R/3.0.2

R 3.0.1

Set up the environment to use R with:

module load R/3.0.1

R 3.3.1

Initialize your environment to use R 3.3.1 on Hermes/Nestor with

module load R/3.3.1

Ray 1.7
ROOT (data analysis framework) 5.34.17

Initialize your environment to use ROOT 5.34.17 with

module load root/5.34.17

ROOT (data analysis framework) 5.34.15

Initialize your environment to use ROOT 5.34.15 with

module load application/root/v5.34.15

Note, a newer version of ROOT is available.

ROOT (data analysis framework) 5.34.11

Initialize your environment to use ROOT 5.34.11 with

module load application/root/v5.34.11

Note, a newer version of ROOT is available.

ROOT (data analysis framework) 5.34.03

Initialize your environment to use ROOT 5.34.03 with

module load application/root/v5.34.03

Note, a newer version of ROOT is available.

RSEM 1.2.20

module load rsem/1.2.20

This will also load R/3.0.2 (for EBSeq).

 

Ruby 1.8.5
SAMtools and HTSlib utilities 0.1.18

Initialize the environment with module load samtools.

ScaLAPACK MKL

ScaLAPACK is available through the Math Kernel Library (MKL).

sh Link to bash
SHAPEIT (estimation of haplotypes) 2.r790

See Running SHAPEIT on Hermes/Nestor.

SIESTA 3.2

Please use modules to load this version of siesta:

module load siesta/3.2

SIESTA 3.1

module load siesta

SLEPc 3.2-p3

/global/software/slepc-3.2-p3

SNPTEST 2.5

Before running the snptest executable, initialize your environment with

module load snptest

Subversion 1.6.17
SUNDIALS (Suite of Nonlinear and Differential/Algebraic Equation Solvers) 2.4.0

This library is installed under /global/software/sundials-2.4.0 using intel compilers and MKL library.

Szip 2.1

/global/software

tcsh NA
TopHat 2.0.4

module load tophat/2.0.4

TopHat 2.0.10

module load tophat/2.0.10

tophat ...

Trans-ABySS 1.3.2

module load trans-ABySS/1.3.2

Vim 7.3

Set up your environment with

module load vim/7.3

Vim 7.0.237

This version of vim is on the default command PATH, but, you can explicitly select it by setting up your environment with

module load vim/7.0.237

VTK - Visualization Toolkit 5.8.0

/global/software/vtk-5.8.0/

WRF WRF 3.4
Yambo 3.2.5

module load yambo/3.2.5-dp module load yambo/3.2.5-sp module load yambo/3.2.5-sp-dbg

zlib 1.2.3-3
zsh 4.2.6